Bug 1131254 - RFE: use the suggested-action style class for the "Begin Installation" button
Summary: RFE: use the suggested-action style class for the "Begin Installation" button
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-18 19:24 UTC by Elad Alfassa
Modified: 2014-10-11 06:53 UTC (History)
7 users (show)

Fixed In Version: anaconda-21.48.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-11 06:53:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Elad Alfassa 2014-08-18 19:24:21 UTC
Adding the CSS class "suggested-action" on the Begin Installation button when it becomes sensitive (ie. after the user finished partitioning) will color it blue which will attract the eye of the user to it so they'll know where to press to continue.

Comment 1 David Shea 2014-08-18 19:39:18 UTC
Máirín, would the suggested-action class be appropriate for the begin installation button or the continue buttons on standalone spokes (such as the welcome screen)? Asking since you set suggestion-action on the Done buttons in spokes, and I vaguely remember this discussion coming up before but can't actually find it.

Comment 2 Máirín Duffy 2014-08-28 13:44:11 UTC
Yes! We had talked about doing this earlier and there was some technical reason we couldn't at the time, I don't remember what. But if there's no blockers to doing it now - yeh! It'd be totally appropriate for the begin installation button as well as the done buttons in the spokes.

Comment 3 David Shea 2014-08-29 12:42:38 UTC
Pushed to master as a38c600e9d44fdfbf6d535bd58731e1f98caa2c5, leaving this bug around so I remember to push to f21 after the alpha freeze.

Comment 4 Elad Alfassa 2014-08-29 14:19:04 UTC
Note that if the top bar of spokes (where the title is) is to remain blue (why is it blue? I don't know) then using this style for individual spokes is wrong, because blue on blue does the opposite of what this style is intended for - to attract the eye to that button.

Comment 5 Máirín Duffy 2014-09-09 18:12:00 UTC
the artwork in anaconda for f21 right now is just placeholder - we can make it dark fedora blue so the lighter blue will pop against it. :) good point tho

Comment 6 Fedora Update System 2014-10-01 15:36:00 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21

Comment 7 Fedora Update System 2014-10-03 04:00:03 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-10-04 03:22:35 UTC
Package anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.8-1.fc21 python-blivet-0.61.3-1.fc21 pykickstart-1.99.60-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11977/pykickstart-1.99.60-2.fc21,python-blivet-0.61.3-1.fc21,anaconda-21.48.8-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-10-11 06:53:47 UTC
anaconda-21.48.8-1.fc21, python-blivet-0.61.3-1.fc21, pykickstart-1.99.60-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.